Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.values
Class AnimatableRectValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatableRectValue

    public class AnimatableRectValue

extends AnimatableValue

An SVG rect value in the animation system.

Field Summary
`protected float` | `height` The height.
`protected float` | `width` The width.
`protected float` | `x` The x coordinate.
`protected float` | `y` The y coordinate.

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` | `AnimatableRectValue(AnimationTarget target)` Creates a new, uninitialized AnimatableRectValue.
`` | `AnimatableRectValue(AnimationTarget target, float x, float y, float w, float h)` Creates a new AnimatableRectValue with one number.

Method Summary
`boolean` | `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` | `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`float` | `getHeight()` Returns the height.
`float` | `getWidth()` Returns the width.
`float` | `getX()` Returns the x coordinate.
`float` | `getY()` Returns the y coordinate.
`AnimatableValue` | `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` | `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.
`String` | `toStringRep()` Returns a string representation of this object.

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, getCssText, hasChanged, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    protected float x

  The x coordinate.

### y

    protected float y

  The y coordinate.

### width

    protected float width

  The width.

### height

    protected float height

  The height.

Constructor Detail

### AnimatableRectValue

    protected AnimatableRectValue(AnimationTarget target)

  Creates a new, uninitialized AnimatableRectValue.

### AnimatableRectValue

    public AnimatableRectValue(AnimationTarget target,
                               float x,
                               float y,
                               float w,
                               float h)

  Creates a new AnimatableRectValue with one number.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value. Rect values cannot be interpolated.

  Specified by:
    `interpolate` in class `AnimatableValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getX

    public float getX()

  Returns the x coordinate.

### getY

    public float getY()

  Returns the y coordinate.

### getWidth

    public float getWidth()

  Returns the width.

### getHeight

    public float getHeight()

  Returns the height.

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Specified by:
    `canPace` in class `AnimatableValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Specified by:
    `distanceTo` in class `AnimatableValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Specified by:
    `getZeroValue` in class `AnimatableValue`

### toStringRep

    public String toStringRep()

  Returns a string representation of this object.

  Overrides:
    `toStringRep` in class `AnimatableValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.